Debit Child Account
curl --request POST \
--url https://nini.monieswitch.com/child/debit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/child/debit"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/child/debit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Account successful debited",
"data": {
"paidAt": "2024-07-25T13:22:23+01:00",
"charges": 20,
"description": "₦500.00 debitted from child account Abdulrahman",
"mode": "SANDBOX",
"status": "SUCCESS",
"amount": 500,
"walletId": "d68b7371-6709-4247-99b3-142e3130aa69",
"merchantId": "1f18305f-851a-4266-bdc6-6fc1525928cf",
"totalAmount": 500,
"transactionReference": "sVjykdGhVfeM0P0q49PgaJB5Sbyv3jN13IwC",
"childAccountId": "5e37f271-a3ba-4cd7-ab14-551da019bb5a",
"childAccountName": "Abdulrahman",
"childAccountNumber": "7838488742",
"narration": "Testing debit transaction",
"customerMetadata": {
"userId": "testing123"
},
"beneficiaryBankCode": "999270",
"beneficiaryBankName": "Xpress Wallet",
"beneficiaryAccountName": "Neyosoft",
"beneficiaryAccountNumber": "4409794005",
"originatorAccountName": "Abdulrahman",
"originatorAccountNumber": "7838488742",
"transactionId": "31762bf9-cfbf-4827-bdea-00505cfdfb21"
}
}{
"status": false,
"message": "Account is inactive"
}Child Accounts
Debit Child Account
POST
/
child
/
debit
Debit Child Account
⌘I